## gqrx-sdr 2.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

#######################################################################################################################
# Project name
project(gqrx)
set(${PROJECT_NAME}_MAJOR "2")
set(${PROJECT_NAME}_MINOR "5")
#set(${PROJECT_NAME}_PATCH "0")
#set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
set(PACKAGE ${PROJECT_NAME})
add_definitions(-DVERSION="${VERSION}")

# development version
#execute_process(
#    COMMAND git describe --long --dirty
#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
#    OUTPUT_VARIABLE GITVERSION
#    OUTPUT_STRIP_TRAILING_WHITESPACE
#)
#add_definitions(-DVERSION="${GITVERSION}")

########### Main global variables ###########
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: Debug GProf Valgrind Release" FORCE)
endif()

set(BUILDTYPE ${CMAKE_BUILD_TYPE})
string(TOUPPER ${BUILDTYPE} BUILDTYPE)
add_definitions(-D${BUILDTYPE})

# We have some custom .cmake scripts not in the official distribution.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add valgrind build options if necessary
if(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
endif()

# Disable debug outputs in release builds
if(${CMAKE_BUILD_TYPE} MATCHES "Release" OR ${CMAKE_BUILD_TYPE} MATCHES "RelWithDebInfo")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # using regular Clang or AppleClang
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    add_definitions(-Wall)
    add_definitions(-Wextra)
    add_definitions(-Wno-unused-parameter)
    add_definitions(-Wsign-compare)
endif()

#######################################################################################################################
# Functions & macros.  These must be defined before including subdirectories.

# function to collect all the sources from sub-directories
# into a single list
function(add_source_files list)
    get_property(is_defined GLOBAL PROPERTY SRCS_LIST DEFINED)
    if(NOT is_defined)
        define_property(GLOBAL PROPERTY ${list}
            BRIEF_DOCS "List of source files"
            FULL_DOCS "List of source files to be compiled in one library")
    endif()
    # make absolute paths
    set(SRCS)
    foreach(s IN LISTS ARGN)
        if(NOT IS_ABSOLUTE "${s}")
            get_filename_component(s "${s}" ABSOLUTE)
        endif()
        list(APPEND SRCS "${s}")
    endforeach()
    # append to global list
    set_property(GLOBAL APPEND PROPERTY ${list} "${SRCS}")
endfunction(add_source_files)


#######################################################################################################################
# 3rd Party Dependency Stuff
find_package(Qt5 COMPONENTS Core Network Widgets REQUIRED)
find_package(Boost COMPONENTS system program_options REQUIRED)
set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
find_package(Gnuradio REQUIRED)
find_package(Gnuradio-osmosdr REQUIRED)

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile gr-air-modes")
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    if(NOT LINUX_AUDIO_BACKEND)
        set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Gr-audio" FORCE)
    endif()

    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
        find_package(PulseAudio REQUIRED)
        # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
        find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
        add_definitions(-DWITH_PULSEAUDIO)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
    else()
        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio or Gr-audio")
    endif()
endif()

# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#######################################################################################################################
# Finish configuring compiler / linker settings & flags
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)



#######################################################################################################################
# Add subdirectories
add_subdirectory(src)

#######################################################################################################################
# enable testing - must be in the top level CMakeLists.txt file
# enable_testing()


# uninstall target
# https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== src/CMakeLists.txt ===
#######################################################################################################################
# Add the source subdirectories
add_subdirectory(applications)
add_subdirectory(dsp)
add_subdirectory(interfaces)
add_subdirectory(qtgui)
add_subdirectory(receivers)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_subdirectory(osxaudio)
    add_definitions(-DGQRX_OS_MACX)
    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
elseif((${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio"))
    add_subdirectory(pulseaudio)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
endif()

#######################################################################################################################
# bring in the global properties
get_property(${PROJECT_NAME}_SOURCE GLOBAL PROPERTY SRCS_LIST)
get_property(${PROJECT_NAME}_UI_SOURCE GLOBAL PROPERTY UI_SRCS_LIST)


#######################################################################################################################
# Process the UI files
QT5_WRAP_UI(UIS_HDRS
    ${${PROJECT_NAME}_UI_SOURCE}
)

#######################################################################################################################
# Process the resources
QT5_ADD_RESOURCES(RESOURCES_LIST
    ../resources/icons.qrc
    ../resources/textfiles.qrc
)

#######################################################################################################################
# Build the program
add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
qt5_use_modules(${PROJECT_NAME} Core Network Widgets Svg)
set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
# The pulse libraries are only needed on Linux. On other platforms they will not be found, so having them here is fine.
target_link_libraries(${PROJECT_NAME}
    ${Boost_LIBRARIES}
    ${GNURADIO_ALL_LIBRARIES}
    ${GNURADIO_OSMOSDR_LIBRARIES}
    ${PULSEAUDIO_LIBRARY}
    ${PULSE-SIMPLE}
)

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== src/applications/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	gqrx/gqrx.h
	gqrx/main.cpp
	gqrx/mainwindow.cpp
	gqrx/mainwindow.h
	gqrx/receiver.cpp
	gqrx/receiver.h
	gqrx/remote_control_settings.cpp
	gqrx/remote_control_settings.h
	gqrx/remote_control.cpp
	gqrx/remote_control.h
)

#######################################################################################################################
# Add the UI files to UI_SRCS_LIST
add_source_files(UI_SRCS_LIST
	gqrx/mainwindow.ui
	gqrx/remote_control_settings.ui
)

=== src/dsp/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	afsk1200/cafsk12.cpp
	afsk1200/cafsk12.h
	afsk1200/costabf.c
	afsk1200/filter-i386.h
	afsk1200/filter.h
    filter/decimator.cpp
    filter/decimator.h
    filter/filtercoef_hbf_70.h
    filter/filtercoef_hbf_100.h
    filter/filtercoef_hbf_140.h
    hbf_decim.cpp
    hbf_decim.h
	rds/api.h
	rds/constants.h
	rds/decoder_impl.cc
	rds/decoder_impl.h
	rds/decoder.h
	rds/parser_impl.cc
	rds/parser_impl.h
	rds/parser.h
	rds/tmc_events.h
	agc_impl.cpp
	agc_impl.h
	correct_iq_cc.cpp
	correct_iq_cc.h
	lpf.cpp
	lpf.h
	resampler_xx.cpp
	resampler_xx.h
	rx_agc_xx.cpp
	rx_agc_xx.h
	rx_demod_am.cpp
	rx_demod_am.h
	rx_demod_fm.cpp
	rx_demod_fm.h
	rx_fft.cpp
	rx_fft.h
	rx_filter.cpp
	rx_filter.h
	rx_meter.cpp
	rx_meter.h
	rx_noise_blanker_cc.cpp
	rx_noise_blanker_cc.h
	rx_rds.cpp
	rx_rds.h
	sniffer_f.cpp
	sniffer_f.h
	stereo_demod.cpp
	stereo_demod.h
)

=== src/pulseaudio/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	pa_device_list.cc
	pa_device_list.h
	pa_sink.cc
	pa_sink.h
	pa_source.cc
	pa_source.h
)

## gqrx-sdr 2.2.0.25.5d6be8

=== debian/changelog ===
gqrx-sdr (2.2.0.25.5d6be8-1) unstable; urgency=low

  * New package (Closes: #662073)
  * Match GNU Radio live distribution 2013-0926

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 03 Oct 2013 19:22:58 -0400

gqrx-sdr (2.1~git29d6c18-1) unstable; urgency=low

  * New upstream git

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 May 2013 17:57:52 -0400

gqrx-sdr (2.0-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 May 2012 17:38:22 -0400

gqrx-sdr (1.9.0.abd2dc8-2) unstable; urgency=low

  * correct build dependencies using a clean chroot.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 May 2012 00:18:27 -0400

gqrx-sdr (1.9.0.abd2dc8-1) unstable; urgency=low

  * Package from new upstream pre-release (Closes: #662073)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 May 2012 22:32:40 -0500

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), gnuradio-dev, libqt4-dev, libgsl0-dev, pkg-config,
 libusb-1.0-0-dev, libfftw3-dev, libasound2-dev, libboost-all-dev (>=1.35),
 libpulse-dev, libudev-dev, gr-fcdproplus, gr-osmosdr, gr-iqbal, librtlsdr-dev,
 libmirisdr-dev, libosmosdr-dev, libhackrf-dev, libbladerf-dev, libuhd-dev
Standards-Version: 3.9.4
Homepage: http://gqrx.dk/
Vcs-Browser: https://github.com/csete/gqrx

Package: gqrx-sdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

#override_dh_auto_install:
#	dh_auto_install
#	cp debian/gqrx-sdr.desktop debian/gqrx-sdr/usr/share/applications/
#	cp icons/radio.svg debian/gqrx-sdr/usr/share/icons/hicolor/scalable/apps/gqrx.svg
#	cp gqrx debian/gqrx-sdr/usr/bin/

## gqrx-sdr 2.2.0.74.d97bd7

=== debian/changelog ===
gqrx-sdr (2.2.0.74.d97bd7-2) unstable; urgency=low

  * Update Build-depends

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 20:52:10 -0500

gqrx-sdr (2.2.0.74.d97bd7-1) unstable; urgency=low

  * New upstream commit, build with gnuradio 3.7.2.1
  * Tighten libvolk dependency version (Closes: #732043)
  * Built without portaudio.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 17:38:31 -0500

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), gnuradio-dev, libqt4-dev, libgsl0-dev, pkg-config,
 libfftw3-dev, libasound2-dev, libboost-all-dev,
 libudev-dev [linux-any], gr-osmosdr, liblog4cpp5-dev
Standards-Version: 3.9.4
Homepage: http://gqrx.dk/
Vcs-Browser: https://github.com/csete/gqrx

Package: gqrx-sdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvolk0.0.0 (>=3.7.2)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

## gqrx-sdr 2.2.0.137.eca0ea7

=== debian/changelog ===
gqrx-sdr (2.2.0.137.eca0ea7-1) unstable; urgency=low

  * Update to eca0ea7
  * Rebuild to use libgnuradio-osmosdr0.1.1 (Closes: #747943)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 13 May 2014 23:52:09 -0400

gqrx-sdr (2.2.0.74.d97bd7-2~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 03 Mar 2014 14:11:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), gnuradio-dev, libqt4-dev, libgsl0-dev, pkg-config,
+Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7), libqt4-dev, libgsl0-dev, pkg-config,
  libfftw3-dev, libasound2-dev, libboost-all-dev,
  libudev-dev [linux-any], gr-osmosdr, liblog4cpp5-dev
 Standards-Version: 3.9.4

## gqrx-sdr 2.3.1

=== debian/changelog ===
gqrx-sdr (2.3.1-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Sep 2014 21:59:55 -0400

gqrx-sdr (2.3.1-2) unstable; urgency=low

  * Build with libpulse-dev (Closes: #755940)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Sep 2014 22:33:32 -0400

gqrx-sdr (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #760332)
  * Use libgnuradio-osmosdr0.1.3 (Closes: #749749)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Sep 2014 00:22:52 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7), libqt4-dev, libgsl0-dev, pkg-config,
- libfftw3-dev, libasound2-dev, libboost-all-dev,
- libudev-dev [linux-any], gr-osmosdr, liblog4cpp5-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), gnuradio-dev (>=3.7.5), libqt4-dev, libgsl0-dev, pkg-config,
+ libfftw3-dev, libpulse-dev, libasound2-dev, libboost-all-dev,
+ libudev-dev [linux-any], gr-osmosdr (>=0.1.3), liblog4cpp5-dev
+Standards-Version: 3.9.5
 Homepage: http://gqrx.dk/
-Vcs-Browser: https://github.com/csete/gqrx
 
 Package: gqrx-sdr
 Architecture: any

## gqrx-sdr 2.4

=== debian/changelog ===
gqrx-sdr (2.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Dec 2015 17:09:48 -0500

gqrx-sdr (2.3.2.193-2) unstable; urgency=medium

  * Lintian fixes - reflect upstream layout changes in copyright file

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 02 Dec 2015 00:43:02 -0500

gqrx-sdr (2.3.2.193-1) unstable; urgency=medium

  * New upstream - update to v2.3.2-193-gbbed2c9
    cmake build

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Dec 2015 18:46:54 -0500

gqrx-sdr (2.3.2.121-1) unstable; urgency=medium

  * New upstream - update to v2.3.2-121-g3a51618 (Closes: #773008)
  * add watch file
  * update URL in man page (Closes: #794917)
  * update dependencies (Closes:  #795483, #765413, #763832)
  * install desktop file (Closes: #776092)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 Sep 2015 20:04:21 -0400

gqrx-sdr (2.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update dependency for libvolk to new package name:
   - libvolk0.0.0 -> libvolk1.1

 -- Iain R. Learmonth <irl@debian.org>  Thu, 03 Sep 2015 23:13:35 +0100

## gqrx-sdr 2.5.1

=== debian/changelog ===
gqrx-sdr (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jan 2016 22:39:30 -0500

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=2.8),
               debhelper (>= 9),
               gnuradio-dev (>=3.7),
               gr-osmosdr,
               libasound2-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libfftw3-dev,
               libgsl0-dev,
               liblog4cpp5-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libudev-dev [linux-any],
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 3.9.6
Homepage: http://gqrx.dk/
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gqrx-sdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/ \
  https://github.com/csete/gqrx/tags .*/v?(\d\S*)\.tar\.gz

## gqrx-sdr 2.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,20 +5,21 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "5")
-#set(${PROJECT_NAME}_PATCH "0")
-#set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-set(PACKAGE ${PROJECT_NAME})
+set(${PROJECT_NAME}_PATCH "3")
+set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-#execute_process(
-#    COMMAND git describe --long --dirty
-#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-#    OUTPUT_VARIABLE GITVERSION
-#    OUTPUT_STRIP_TRAILING_WHITESPACE
-#)
+execute_process(
+    COMMAND git describe --long --dirty
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    OUTPUT_VARIABLE GITVERSION
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
 #add_definitions(-DVERSION="${GITVERSION}")
+
+set(PACKAGE ${PROJECT_NAME})
 
 ########### Main global variables ###########
 if(NOT CMAKE_BUILD_TYPE)
@@ -53,6 +54,24 @@
     add_definitions(-Wextra)
     add_definitions(-Wno-unused-parameter)
     add_definitions(-Wsign-compare)
+endif()
+
+if(MSVC)
+    #get math definitions like M_PI
+    add_definitions(-D_USE_MATH_DEFINES)
+
+    #use std::min()/std::max()
+    add_definitions(-DNOMINMAX)
+
+    #needed to dynamically link boost
+    add_definitions(-DBOOST_ALL_DYN_LINK)
+
+    #export gr-rds symbols
+    add_definitions(-Dgnuradio_RDS_EXPORTS)
+
+    if ("${MSVC_VERSION}" VERSION_LESS "1900")
+        add_definitions(-D__func__=__FUNCTION__)
+    endif()
 endif()
 
 #######################################################################################################################

=== debian/changelog ===
gqrx-sdr (2.5.3-4) unstable; urgency=medium

  * install icon usr/share/icons/hicolor/scalable/apps/gqrx.svg
  * Add SoapySDR support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 14:20:14 -0400

gqrx-sdr (2.5.3-3) unstable; urgency=medium

  * update to v2.5.3-90-g3556cbf
  * buuld with current boost (Closes: #822133, #823152)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 11:19:46 -0400

gqrx-sdr (2.5.3-2) unstable; urgency=medium

  * update to v2.5.3-51-gbf2f5f8

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 22:45:37 -0400

gqrx-sdr (2.5.3-1) unstable; urgency=medium

  * New upstream release
  * update to v2.5.3-25-gba612ea

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 29 Apr 2016 21:58:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 9),
-               gnuradio-dev (>=3.7),
-               gr-osmosdr,
+               gnuradio-dev (>>3.7.9),
+               gr-osmosdr (>>0.1.3),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,16 +15,17 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://gqrx.dk/
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gqrx-sdr.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
 
 Package: gqrx-sdr
 Architecture: any

## gqrx-sdr 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,21 @@
 cmake_minimum_required(VERSION 2.8.0)
 
-#######################################################################################################################
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "5")
-set(${PROJECT_NAME}_PATCH "3")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+set(${PROJECT_NAME}_MINOR "6")
+set(${PROJECT_NAME}_PATCH "0")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-execute_process(
-    COMMAND git describe --long --dirty
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE GITVERSION
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
+#execute_process(
+#    COMMAND git describe --long --dirty
+#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+#    OUTPUT_VARIABLE GITVERSION
+#    OUTPUT_STRIP_TRAILING_WHITESPACE
+#)
 #add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
@@ -74,7 +73,6 @@
     endif()
 endif()
 
-#######################################################################################################################
 # Functions & macros.  These must be defined before including subdirectories.
 
 # function to collect all the sources from sub-directories
@@ -99,7 +97,6 @@
 endfunction(add_source_files)
 
 
-#######################################################################################################################
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets REQUIRED)
 find_package(Boost COMPONENTS system program_options REQUIRED)
@@ -121,6 +118,18 @@
         # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
         find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
         add_definitions(-DWITH_PULSEAUDIO)
+        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
+        unset(PORTAUDIO_LIBRARIES CACHE)
+    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        find_package(Portaudio REQUIRED)
+        add_definitions(-DWITH_PORTAUDIO)
+        unset(PULSEAUDIO_FOUND CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_LIBRARY CACHE)
+        unset(PulseAudio_DIR CACHE)
+        unset(PULSE-SIMPLE CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
@@ -129,17 +138,26 @@
         unset(PULSE-SIMPLE CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
+        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
+        unset(PORTAUDIO_LIBRARIES CACHE)
     else()
-        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio or Gr-audio")
+        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio, Portaudio or Gr-audio")
     endif()
 endif()
+
+
+# Airspy optimizations that require modified gr-osmosdr
+option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" OFF)
+if(CUSTOM_AIRSPY_KERNELS)
+    add_definitions(-DCUSTOM_AIRSPY_KERNELS)
+endif(CUSTOM_AIRSPY_KERNELS)
+
 
 # Tell CMake to run moc when necessary:
 set(CMAKE_AUTOMOC ON)
 # As moc files are generated in the binary dir, tell CMake to always look for includes there:
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-#######################################################################################################################
 # Finish configuring compiler / linker settings & flags
 include_directories(
     ${CMAKE_SOURCE_DIR}/include
@@ -153,15 +171,8 @@
 )
 
 
-
-#######################################################################################################################
 # Add subdirectories
 add_subdirectory(src)
-
-#######################################################################################################################
-# enable testing - must be in the top level CMakeLists.txt file
-# enable_testing()
-
 
 # uninstall target
 # https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
     add_subdirectory(osxaudio)
     add_definitions(-DGQRX_OS_MACX)
     set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
-elseif((${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio"))
-    add_subdirectory(pulseaudio)
+elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
+        add_subdirectory(pulseaudio)
+    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        add_subdirectory(portaudio)
+    endif()
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 endif()
 
@@ -34,6 +38,19 @@
     ../resources/textfiles.qrc
 )
 
+########################################################################
+# Resource file - adds an icon to GQRX executable
+if (WIN32)
+    set(ICON_SOURCE ${CMAKE_SOURCE_DIR}/resources/icons/gqrx.ico)
+    set(RES_FILES "${CMAKE_CURRENT_BINARY_DIR}/gqrx.rc")
+    file(WRITE "${RES_FILES}" "id ICON \"${ICON_SOURCE}\"")
+    set(CMAKE_RC_COMPILER_INIT windres)
+    enable_language(RC)
+    set(CMAKE_RC_COMPILE_OBJECT
+        "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
+    list(APPEND RESOURCES_LIST ${RES_FILES})
+endif(WIN32)
+
 #######################################################################################################################
 # Build the program
 add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
@@ -46,7 +63,14 @@
     ${GNURADIO_OSMOSDR_LIBRARIES}
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
+    ${PORTAUDIO_LIBRARIES}
 )
+
+#build a win32 app, not a console app
+if (WIN32)
+    set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
+    set_target_properties(${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE ON)
+endif (WIN32)
 
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== debian/changelog ===
gqrx-sdr (2.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 19 Oct 2016 20:18:26 -0400

gqrx-sdr (2.6-1) unstable; urgency=medium

  * New upstream release
  * update to v2.6-7-g82dafcc
    NEW: Save remote control state between sessions.
    FIXED: Keep waterfall zoom level and zoom slider synchronised.
  

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Oct 2016 21:09:33 -0400

gqrx-sdr (2.5.3-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:30:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 9),
-               gnuradio-dev (>>3.7.9),
-               gr-osmosdr (>>0.1.3),
+               gnuradio-dev (>>3.7.10),
+               gr-osmosdr (>>0.1.4-11~),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,7 +15,6 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
-	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,

## gqrx-sdr 2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,20 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "6")
+set(${PROJECT_NAME}_MINOR "8")
 set(${PROJECT_NAME}_PATCH "0")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
 set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
-#execute_process(
-#    COMMAND git describe --long --dirty
-#    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-#    OUTPUT_VARIABLE GITVERSION
-#    OUTPUT_STRIP_TRAILING_WHITESPACE
-#)
-#add_definitions(-DVERSION="${GITVERSION}")
+execute_process(
+    COMMAND git describe --long --dirty
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    OUTPUT_VARIABLE GITVERSION
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+##add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -98,14 +98,14 @@
 
 
 # 3rd Party Dependency Stuff
-find_package(Qt5 COMPONENTS Core Network Widgets REQUIRED)
+find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
 find_package(Boost COMPONENTS system program_options REQUIRED)
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
 find_package(Gnuradio REQUIRED)
 find_package(Gnuradio-osmosdr REQUIRED)
 
 if(NOT GNURADIO_RUNTIME_FOUND)
-    message(FATAL_ERROR "GnuRadio Runtime required to compile gr-air-modes")
+    message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
 endif()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -147,7 +147,7 @@
 
 
 # Airspy optimizations that require modified gr-osmosdr
-option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" OFF)
+option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)
 if(CUSTOM_AIRSPY_KERNELS)
     add_definitions(-DCUSTOM_AIRSPY_KERNELS)
 endif(CUSTOM_AIRSPY_KERNELS)
@@ -163,6 +163,7 @@
     ${CMAKE_SOURCE_DIR}/include
     ${Boost_INCLUDE_DIRS}
     ${GNURADIO_RUNTIME_INCLUDE_DIRS}
+    ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
 )
 
 link_directories(

=== debian/changelog ===
gqrx-sdr (2.8-1) unstable; urgency=medium

  * New upstream release
   New features
     Remote control command to set LNB LO (LNB_LO).
   Bugs fixed
     Inactive Start DSP and Config buttons in toolbar.
     Frequency controller digit not redrawn after a resize.
     Set default mode to AM instead of none.
   Miscellaneous improvements
     Detection of gr-osmosdr when installed in custom directory.
     Remote frequency handling.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 22 Sep 2017 20:22:01 -0400

gqrx-sdr (2.7-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Sep 2017 10:10:14 -0400

## gqrx-sdr 2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "8")
+set(${PROJECT_NAME}_MINOR "9")
 set(${PROJECT_NAME}_PATCH "0")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
 set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")

=== src/portaudio/CMakeLists.txt ===
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
    device_list.cpp
    device_list.h
    portaudio_sink.cpp
    portaudio_sink.h
)

=== src/qtgui/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	afsk1200win.cpp
	afsk1200win.h
	agc_options.cpp
	agc_options.h
	audio_options.cpp
	audio_options.h
	bookmarks.cpp
	bookmarks.h
	bookmarkstablemodel.cpp
	bookmarkstablemodel.h
	bookmarkstaglist.cpp
	bookmarkstaglist.h
    ctk/ctkPimpl.h
    ctk/ctkRangeSlider.cpp
    ctk/ctkRangeSlider.h
	demod_options.cpp
	demod_options.h
	dockaudio.cpp
	dockaudio.h
	dockbookmarks.cpp
	dockbookmarks.h
	dockfft.cpp
	dockfft.h
	dockinputctl.cpp
	dockinputctl.h
	dockrds.cpp
	dockrds.h
	dockrxopt.cpp
	dockrxopt.h
	freqctrl.cpp
	freqctrl.h
	ioconfig.cpp
	ioconfig.h
	iq_tool.cpp
	iq_tool.h
	meter.cpp
	meter.h
	nb_options.cpp
	nb_options.h
	plotter.cpp
	plotter.h
	qtcolorpicker.cpp
	qtcolorpicker.h
)

#######################################################################################################################
# Add the source files to UI_SRCS_LIST
add_source_files(UI_SRCS_LIST
	afsk1200win.ui
	agc_options.ui
	audio_options.ui
	demod_options.ui
	dockaudio.ui
	dockbookmarks.ui
	dockfft.ui
	dockinputctl.ui
	dockrds.ui
	dockrxopt.ui
	ioconfig.ui
	iq_tool.ui
	nb_options.ui
)

=== src/receivers/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	nbrx.cpp
	nbrx.h
	receiver_base.cpp
	receiver_base.h
	wfmrx.cpp
	wfmrx.h
)

=== debian/changelog ===
gqrx-sdr (2.9-2) unstable; urgency=medium

  * upstream Debian patches, update to v2.9-4-g4138038

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Dec 2017 16:53:16 -0500

gqrx-sdr (2.9-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Nov 2017 23:06:55 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
-               debhelper (>= 9),
-               gnuradio-dev (>>3.7.10),
-               gr-osmosdr (>>0.1.4-11~),
+               debhelper (>= 10),
+               gnuradio-dev (>=3.7.11),
+	       gr-iio,
+               gr-osmosdr (>=0.1.4-13),
                libasound2-dev,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,13 +16,14 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsoapysdr-dev,
                libudev-dev [linux-any],
                pkg-config,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://gqrx.dk/
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
@@ -29,6 +31,8 @@
 Package: gqrx-sdr
 Architecture: any
 Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: gqrx (<= 2.3.0-0kali4)
+Replaces: gqrx (<= 2.3.0-0kali4)
 Description: Software defined radio receiver
  Gqrx supports many of the SDR hardware available, including Funcube
  Dongles, rtl-sdr, HackRF and USRP devices.

=== debian/rules ===
#!/usr/bin/make -f
QT_SELECT=qt5
export QT_SELECT

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gqrx-sdr_$1.orig.tar.gz%" \
 https://github.com/csete/gqrx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gqrx-sdr 2.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "9")
-set(${PROJECT_NAME}_PATCH "0")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+set(${PROJECT_NAME}_MINOR "11")
+set(${PROJECT_NAME}_PATCH "4")
+set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")
 
 # development version
@@ -110,7 +110,7 @@
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     if(NOT LINUX_AUDIO_BACKEND)
-        set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Gr-audio" FORCE)
+        set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Portaudio, Gr-audio" FORCE)
     endif()
 
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
@@ -145,6 +145,36 @@
     endif()
 endif()
 
+if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    if(NOT OSX_AUDIO_BACKEND)
+        set(OSX_AUDIO_BACKEND Portaudio CACHE STRING "Choose the audio backend, options are: Portaudio and Gr-audio" FORCE)
+    endif()
+
+    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
+        find_package(Portaudio REQUIRED)
+        add_definitions(-DWITH_PORTAUDIO)
+        unset(PULSEAUDIO_FOUND CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_LIBRARY CACHE)
+        unset(PulseAudio_DIR CACHE)
+        unset(PULSE-SIMPLE CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
+    elseif(${OSX_AUDIO_BACKEND} MATCHES "Gr-audio")
+        unset(PULSEAUDIO_FOUND CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_LIBRARY CACHE)
+        unset(PulseAudio_DIR CACHE)
+        unset(PULSE-SIMPLE CACHE)
+        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
+        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
+        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
+        unset(PORTAUDIO_LIBRARIES CACHE)
+    else()
+        message(FATAL_ERROR "Invalid audio backend: should be either Portaudio or Gr-audio")
+    endif()
+endif()
+
 
 # Airspy optimizations that require modified gr-osmosdr
 option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)

=== debian/changelog ===
gqrx-sdr (2.11.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 May 2018 19:58:58 -0400

## gqrx-sdr 2.11.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "11")
-set(${PROJECT_NAME}_PATCH "4")
+set(${PROJECT_NAME}_PATCH "5")
 set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
 add_definitions(-DVERSION="${VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 add_subdirectory(receivers)
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    add_subdirectory(osxaudio)
+    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
+        add_subdirectory(portaudio)
+    else()
+        add_subdirectory(osxaudio)
+    endif()
     add_definitions(-DGQRX_OS_MACX)
     set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== debian/changelog ===
gqrx-sdr (2.11.5-1) unstable; urgency=medium

  * New upstream bugfix release
    fixes a crash in the handling of the ‘q’ command in the
    remote control interface

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 21 May 2018 00:13:40 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=2.8),
                debhelper (>= 10),
-               gnuradio-dev (>=3.7.11),
+               gnuradio-dev (>=3.7.12.0),
 	       gr-iio,
                gr-osmosdr (>=0.1.4-13),
                libasound2-dev,
@@ -23,10 +23,10 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: http://gqrx.dk/
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gqrx-sdr.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gqrx-sdr.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git
 
 Package: gqrx-sdr
 Architecture: any
